Retrieves a data source object — information that describes the structure and columns of a data source — for a provided data source ID. The response adheres to any limits to a connection’s capabilities and the permissions of the data source and its containing database.Readable synced data sources may also include optional stored sync metadata, with provider information and ISO 8601 timestamps when available.To fetch data source rows (i.e. the child pages of a data source) rather than columns, use the Query a data source endpoint.
Finding a data source ID
First, find the containing database’s ID in its Notion URL. The database ID is the 32-character alphanumeric string between the slash following the workspace name (if applicable) and the question mark.
Notion database ID
Use Retrieve a database with that database ID. Its data_sources array lists each data source’s ID and name. Use the desired data source ID with this endpoint to retrieve its properties.To get a data source ID from the Notion app directly, the settings menu for a database includes a “Copy data source ID” button under “Manage data sources”:
Screenshot of the 'Manage data sources' menu for a database in Notion, with 'Copy data source ID' button.
Returns a 404 HTTP response if the data source doesn’t exist or if the connection doesn’t have access to it.Each Public API endpoint can return several possible error codes. See the Error codes section of the Status codes documentation for more information.
Data source relations must be shared with your connectionTo retrieve data source properties from database relations, the related database must be shared with your connection in addition to the database being retrieved. If the related database is not shared, properties based on relations will not be included in the API response.
The Notion API does not support retrieving linked data sourcesTo fetch the information in a linked data source, share the original source database with your Notion connection.
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Notion-Version
enum<string>
required
The API version to use for this request. The latest version is 2026-03-11.
Available options:
2026-03-11
Path Parameters
data_source_id
string
required
ID of a Notion data source.
Response
Option 1
Option 2
object
string
required
The data source object type name.
Allowed value: "data_source"
id
string<uuid>
required
The ID of the data source.
properties
object
required
The properties schema of the data source.
Show child attributes
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Notion Docs","colors":{"primary":"#000","light":"#097fe8","dark":"#0075de"},"logo":{"light":"https://mintcdn.com/notion-demo/5YdhSbldE14t5Rna/logo/light.svg?fit=max\u0026auto=format\u0026n=5YdhSbldE14t5Rna\u0026q=85\u0026s=249f5693ad929397409bf9b51d6d539d","dark":"https://mintcdn.com/notion-demo/5YdhSbldE14t5Rna/logo/dark.svg?fit=max\u0026auto=format\u0026n=5YdhSbldE14t5Rna\u0026q=85\u0026s=a8404879d171debac543bb6c1482c909","href":"/"},"favicon":"https://mintcdn.com/notion-demo/LHm9qfrJYJOPRxs6/favicon.png?fit=max\u0026auto=format\u0026n=LHm9qfrJYJOPRxs6\u0026q=85\u0026s=0668f0b3334eef21f0cdc65b390d22d9","api":{"openapi":["openapi.json","openapi-undocumented.json","openapi-adminApi.json"]},"appearance":{"default":"system"},"background":{"color":{"light":"#ffffff","dark":"#0f0f0f"}},"navbar":{"links":[{"href":"https://www.notion.com/login","label":"Log in"}],"primary":{"type":"button","label":"Developer portal","href":"https://www.notion.so/developers"}},"footer":{"socials":{"x":"https://x.com/NotionDevs","slack":"https://join.slack.com/t/notiondevs/shared_invite/zt-3u9oid9q8-HLUBmMVWYK~g9HFo4U4raA"}},"seo":{"metatags":{"og:image":"/images/og-image.png"}},"fonts":{"family":"NotionInter"},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"interaction":{"drilldown":true},"styling":{"latex":false},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"notion-demo","hasAudioNarration":false,"actualSubdomain":"notion-demo","customDomains":["developers.notion.com"],"gitSource":{"type":"github","owner":"makenotion","repo":"notion-next","deployBranch":"main","contentDirectory":"src/server-publicApiDocs","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6b0108b082f0182f6b575fdd","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"API Reference","count":142},{"language":"default","tag":"Endpoints","count":135},{"language":"default","tag":"Guides","count":77},{"language":"default","tag":"Admin API","count":58},{"language":"default","tag":"Webhook events","count":31},{"language":"default","tag":"Notion API","count":23},{"language":"default","tag":"Notion MCP","count":23},{"language":"default","tag":"Agents","count":23},{"language":"default","tag":"Objects","count":18},{"language":"default","tag":"Data APIs","count":17}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"@font-face{font-family:\"NotionInter\";font-weight:400;font-style:normal;font-display:optional;src:url(\"/fonts/NotionInter-Regular.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:500;font-style:normal;font-display:optional;src:url(\"/fonts/NotionInter-Medium.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:600;font-style:normal;font-display:optional;src:url(\"/fonts/NotionInter-SemiBold.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:700;font-style:normal;font-display:optional;src:url(\"/fonts/NotionInter-Bold.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:400;font-style:italic;font-display:optional;src:url(\"/fonts/NotionInter-Italic.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:500;font-style:italic;font-display:optional;src:url(\"/fonts/NotionInter-MediumItalic.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:600;font-style:italic;font-display:optional;src:url(\"/fonts/NotionInter-SemiBoldItalic.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:700;font-style:italic;font-display:optional;src:url(\"/fonts/NotionInter-BoldItalic.woff2\") format(\"woff2\")}:root{--font-notion-stack:\n\t\t\"NotionInter\", \"Inter\", -apple-system, \"system-ui\", \"Segoe UI\", Helvetica,\n\t\tArial, sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\"}html,body,button,input,select,textarea,h1,h2,h3,h4,h5,h6{font-family:var(--font-notion-stack)}.card>.flex.items-center:has([data-component-part=\"card-icon\"]){align-items:flex-start}[data-component-part=\"card-content\"]{font-size:0.875rem;line-height:1.45}.navbar-link>a{background-color:transparent!important}.navbar-link>a:hover{background-color:#37352f0a!important}html.dark .navbar-link>a:hover{background-color:rgba(255, 255, 255, 0.055)!important}.bg-primary-dark.rounded-xl{border-radius:8px!important}#search-bar-entry{background-color:#37352f0a!important;color:#7d7a75!important}#search-bar-entry:hover{background-color:#37352f1a!important}#search-bar-entry svg{color:#7d7a75!important}#search-bar-entry:hover svg{color:#37352f!important}html.dark #search-bar-entry{background-color:rgba(255, 255, 255, 0.055)!important;color:rgba(255, 255, 255, 0.5)!important}html.dark #search-bar-entry:hover{background-color:rgba(255, 255, 255, 0.129)!important}html.dark #search-bar-entry svg{color:rgba(255, 255, 255, 0.5)!important}html.dark #search-bar-entry:hover svg{color:#ffffff!important}#search-bar-entry-mobile,#search-bar-entry-mobile svg{color:#7d7a75!important;background-color:#7d7a75!important}#search-bar-entry-mobile:hover,#search-bar-entry-mobile:hover svg{color:#37352f!important;background-color:#37352f!important}html.dark #search-bar-entry-mobile,html.dark #search-bar-entry-mobile svg{color:rgba(255, 255, 255, 0.5)!important;background-color:rgba(255, 255, 255, 0.5)!important}html.dark #search-bar-entry-mobile:hover,html.dark #search-bar-entry-mobile:hover svg{color:#ffffff!important;background-color:#ffffff!important}button[data-component-part=\"theme-preference-menu-trigger\"]{background-color:#37352f0a!important}button[data-component-part=\"theme-preference-menu-trigger\"]:hover,button[data-component-part=\"theme-preference-menu-trigger\"][aria-expanded=\"true\"]{background-color:#37352f1a!important}html.dark button[data-component-part=\"theme-preference-menu-trigger\"]{background-color:rgba(255, 255, 255, 0.055)!important}html.dark button[data-component-part=\"theme-preference-menu-trigger\"]:hover,html.dark button[data-component-part=\"theme-preference-menu-trigger\"][aria-expanded=\"true\"]{background-color:rgba(255, 255, 255, 0.129)!important}button[data-component-part=\"theme-preference-menu-trigger\"] svg{color:#7d7a75!important}button[data-component-part=\"theme-preference-menu-trigger\"]:hover svg,button[data-component-part=\"theme-preference-menu-trigger\"][aria-expanded=\"true\"] svg{color:#37352f!important}html.dark button[data-component-part=\"theme-preference-menu-trigger\"] svg{color:rgba(255, 255, 255, 0.5)!important}html.dark button[data-component-part=\"theme-preference-menu-trigger\"]:hover svg,html.dark button[data-component-part=\"theme-preference-menu-trigger\"][aria-expanded=\"true\"] svg{color:#ffffff!important}#navbar [class*=\"border-gray-100\"]{border-color:#e6e5e3!important}html.dark #navbar [class*=\"border-gray-800\"]{border-color:rgba(255, 255, 255, 0.094)!important}.nav-tabs-item div[class*=\"bg-gray-200\"]{background-color:#e6e5e3!important}html.dark .nav-tabs-item div[class*=\"bg-gray-700\"]{background-color:rgba(255, 255, 255, 0.18)!important}#sidebar-content[class*=\"border-gray-100\"]{border-color:#e6e5e3!important}html.dark #sidebar-content[class*=\"border-white\"]{border-color:rgba(255, 255, 255, 0.094)!important}.sidebar-nav-group-divider{background-color:#e6e5e3!important}html.dark .sidebar-nav-group-divider{background-color:rgba(255, 255, 255, 0.094)!important}html:not(.dark) :is(a,button)[class*=\"outline-offset\"][class*=\"text-gray-700\"]{color:#37352f!important}html:not(.dark) :is(a,button)[class*=\"outline-offset\"][class*=\"hover:text-gray-900\"]:hover{color:#37352f!important}html:not(.dark) :is(a,button)[class*=\"outline-offset\"] svg[class*=\"text-gray-400\"][class*=\"group-hover:text-gray-600\"]{color:#ada9a3!important}html:not(.dark) :is(a,button)[class*=\"outline-offset\"]:hover svg[class*=\"text-gray-400\"][class*=\"group-hover:text-gray-600\"]{color:#7d7a75!important}html.dark :is(a,button)[class*=\"outline-offset\"] svg[class*=\"text-gray-400\"][class*=\"group-hover:text-gray-600\"]{color:#7d7a75!important}html.dark :is(a,button)[class*=\"outline-offset\"]:hover svg[class*=\"text-gray-400\"][class*=\"group-hover:text-gray-600\"]{color:#ada9a3!important}.card[class*=\"border-gray-950\"]{border-color:#e6e5e3!important}html.dark .card[class*=\"border-white\"]{border-color:rgba(255, 255, 255, 0.094)!important}[data-component-part=\"card-title\"]{color:#37352f!important}html.dark [data-component-part=\"card-title\"]{color:#ffffff!important}[data-component-part=\"card-content\"]{color:#7d7a75!important}html.dark [data-component-part=\"card-content\"]{color:#ada9a3!important}:is(a,button)[class*=\"outline-offset\"][class*=\"rounded-xl\"]{border-radius:6px!important}a[class*=\"text-shadow\"]{text-shadow:none!important;font-weight:600!important}.sidebar-group :is(a,button,span){hyphens:none!important}html.dark :is(a,button)[class*=\"outline-offset\"][class*=\"text-primary-light\"]{color:#ffffff!important}html.dark :is(a,button)[class*=\"outline-offset\"][class*=\"bg-primary-light\"]{background-color:rgba(255, 255, 255, 0.129)!important}:is(a,button)[class*=\"outline-offset\"][class*=\"bg-primary/10\"]{background-color:#37352f1a!important}:is(a,button)[class*=\"outline-offset\"][class*=\"hover:bg-gray-600\"]:hover{background-color:#37352f0a!important}html.dark :is(a,button)[class*=\"outline-offset\"][class*=\"hover:bg-gray-200\"]:hover{background-color:rgba(255, 255, 255, 0.055)!important}html.dark #table-of-contents-content li[data-active],html.dark #table-of-contents-content li[data-active]>a{border-color:#ffffff!important}html.dark #table-of-contents-content li[data-active]>a{color:#ffffff!important}html.dark a.nav-tabs-item[class*=\"text-primary\"]{color:#ffffff!important}html.dark a.nav-tabs-item div[class*=\"bg-primary-light\"]{background-color:#ffffff!important}.eyebrow{color:#78736f!important}html.dark .eyebrow{color:#a3a39e!important}html:is([data-current-path=\"/page/changelog\"],[data-current-path=\"/page/examples\"]) #sidebar-content{display:none!important}html:is([data-current-path=\"/page/changelog\"],[data-current-path=\"/page/examples\"]) #content-container{max-width:none!important;margin-left:0!important}html:is([data-current-path=\"/page/changelog\"],[data-current-path=\"/page/examples\"]) #content-area{margin-left:0!important;margin-right:0!important}html[data-current-path=\"/page/changelog\"] [data-component-part=\"update-content\"]{font-size:1rem}.sidebar-group-header{color:#78736f!important}html.dark .sidebar-group-header{color:#a3a39e!important}html.dark [class*=\"prose-invert\"]{color:#c7c7c7!important;--tw-prose-invert-body: #c7c7c7 !important;--tw-prose-invert-bullets: #c7c7c7 !important;--tw-prose-invert-counters: #c7c7c7 !important}html.dark h1#page-title{color:#ffffff!important}html.dark #header p{color:#c7c7c7!important}html.dark #table-of-contents-content a{color:#c7c7c7!important}html.dark .sidebar-group a:not([class*=\"text-shadow\"]),html.dark .sidebar-group button{color:#c7c7c7!important}html.dark #table-of-contents-content a:hover,html.dark .sidebar-group a:not([class*=\"text-shadow\"]):hover,html.dark .sidebar-group button:hover,html.dark a.nav-tabs-item:hover{color:#ffffff!important}#content a.link{color:inherit!important;text-decoration:underline!important;text-decoration-color:rgba(55, 53, 47, 0.25)!important;text-underline-offset:3px!important;text-decoration-thickness:1px!important;border-bottom:0!important;font-weight:inherit!important}#content a.link:hover{color:inherit!important;text-decoration-color:currentColor!important}html.dark #content a.link{text-decoration-color:rgba(255, 255, 255, 0.25)!important}html.dark #content a.link:hover{text-decoration-color:currentColor!important}.callout[class*=\"bg-blue\"]{background-color:#e5f2fc!important;border-color:#b6d4f3!important}.callout[class*=\"bg-blue\"] [data-component-part=\"callout-icon\"],.callout[class*=\"bg-blue\"] [data-component-part=\"callout-icon\"] svg{color:#2783de!important}.callout[class*=\"bg-blue\"] [data-component-part=\"callout-content\"]{color:#355f8b!important}.callout[class*=\"bg-green\"]{background-color:#e8f1ec!important;border-color:#bed9c9!important}.callout[class*=\"bg-green\"] [data-component-part=\"callout-icon\"],.callout[class*=\"bg-green\"] [data-component-part=\"callout-icon\"] svg{color:#46a171!important}.callout[class*=\"bg-green\"] [data-component-part=\"callout-content\"]{color:#37674c!important}.callout[class*=\"bg-yellow\"]{background-color:#f9f3dc!important;border-color:#e8d497!important}.callout[class*=\"bg-yellow\"] [data-component-part=\"callout-icon\"],.callout[class*=\"bg-yellow\"] [data-component-part=\"callout-icon\"] svg{color:#d8a32f!important}.callout[class*=\"bg-yellow\"] [data-component-part=\"callout-content\"]{color:#836426!important}.callout[class*=\"bg-red\"]{background-color:#fce9e7!important;border-color:#f0c5be!important}.callout[class*=\"bg-red\"] [data-component-part=\"callout-icon\"],.callout[class*=\"bg-red\"] [data-component-part=\"callout-icon\"] svg{color:#e56458!important}.callout[class*=\"bg-red\"] [data-component-part=\"callout-content\"]{color:#924943!important}.callout[class*=\"bg-neutral\"]{background-color:#f0efed!important;border-color:#e6e5e3!important}.callout[class*=\"bg-neutral\"] [data-component-part=\"callout-icon\"],.callout[class*=\"bg-neutral\"] [data-component-part=\"callout-icon\"] svg{color:#5f5e59!important}.callout[class*=\"bg-neutral\"] [data-component-part=\"callout-content\"]{color:#494846!important}html.dark .callout[class*=\"bg-blue\"]{background-color:rgba(39, 131, 222, 0.12)!important;border-color:rgba(39, 131, 222, 0.3)!important}html.dark .callout[class*=\"bg-green\"]{background-color:rgba(70, 161, 113, 0.12)!important;border-color:rgba(70, 161, 113, 0.3)!important}html.dark .callout[class*=\"bg-yellow\"]{background-color:rgba(216, 163, 47, 0.12)!important;border-color:rgba(216, 163, 47, 0.3)!important}html.dark .callout[class*=\"bg-red\"]{background-color:rgba(229, 100, 88, 0.12)!important;border-color:rgba(229, 100, 88, 0.3)!important}html.dark .callout[class*=\"bg-neutral\"]{background-color:rgba(255, 255, 255, 0.05)!important;border-color:rgba(255, 255, 255, 0.12)!important}html.dark .callout[class*=\"bg-blue\"] [data-component-part=\"callout-content\"]{color:#9dc0ea!important}html.dark .callout[class*=\"bg-green\"] [data-component-part=\"callout-content\"]{color:#a6c7b4!important}html.dark .callout[class*=\"bg-yellow\"] [data-component-part=\"callout-content\"]{color:#e2ca88!important}html.dark .callout[class*=\"bg-red\"] [data-component-part=\"callout-content\"]{color:#e0aea6!important}html.dark .callout[class*=\"bg-neutral\"] [data-component-part=\"callout-content\"]{color:#bcbab6!important}html.dark .callout[class*=\"bg-neutral\"] [data-component-part=\"callout-icon\"],html.dark .callout[class*=\"bg-neutral\"] [data-component-part=\"callout-icon\"] svg{color:#ada9a3!important}.callout a.link,#content .callout a.link{color:inherit!important;text-decoration:underline!important;border-bottom:0!important}.callout a.link:hover,#content .callout a.link:hover{color:inherit!important;text-decoration:underline!important}[data-component-part=\"card-icon\"] img{filter:brightness(0) saturate(100%) invert(31%) sepia(85%) saturate(2280%)\n\t\thue-rotate(196deg) brightness(96%) contrast(101%)}html.dark [data-component-part=\"card-icon\"] img{filter:brightness(0) saturate(100%) invert(45%) sepia(98%) saturate(1480%)\n\t\thue-rotate(196deg) brightness(101%) contrast(96%)}[data-component-part=\"card-icon\"]>svg{width:1.25rem!important;height:1.25rem!important;mask-size:contain!important;-webkit-mask-size:contain!important}.card{transition:box-shadow 180ms ease-out,\n\t\tborder-color 180ms ease-out}.card:hover{--tw-ring-shadow: 0 0 #0000 !important;--tw-ring-color: transparent !important;border-color:transparent!important;box-shadow:0 0 0 1px rgba(0, 0, 0, 0.06),\n\t\t0 4px 10px rgba(15, 15, 15, 0.05),\n\t\t0 1px 3px rgba(15, 15, 15, 0.04)!important}html.dark .card:hover{--tw-ring-shadow: 0 0 #0000 !important;--tw-ring-color: transparent !important;border-color:rgba(255, 255, 255, 0.18)!important;box-shadow:none!important}a[class*=\"border-gray-200/70\"][class*=\"rounded-xl\"][class*=\"py-3\"][class*=\"px-4\"]{border:0!important;padding:0!important}[data-component-part=\"code-block-root\"],[data-component-part=\"code-block-root\"] pre,[data-component-part=\"code-block-root\"] code,[data-component-part=\"code-block-root\"] code *{font-size:12px!important;line-height:20px!important}#page-context-menu [class*=\"rounded-l-xl\"]{border-radius:6px 0 0 6px!important}#page-context-menu [class*=\"rounded-r-xl\"]{border-radius:0 6px 6px 0!important}#page-context-menu [class*=\"text-sm\"]{font-size:12px!important}#page-context-menu :is(button,a)[class*=\"bg-gray\"],#page-context-menu :is(button,a)[class*=\"border-gray\"]{background-color:transparent!important;border-color:#e6e5e3!important}#page-context-menu :is(button,a):hover{background-color:#37352f0a!important}html.dark #page-context-menu :is(button,a)[class*=\"bg-gray\"],html.dark #page-context-menu :is(button,a)[class*=\"border-gray\"]{border-color:rgba(255, 255, 255, 0.094)!important}html.dark #page-context-menu :is(button,a):hover{background-color:rgba(255, 255, 255, 0.055)!important}[data-component-part=\"update-label\"]{background-color:#f7f6f3!important;color:#5f5e59!important;font-size:14px!important;line-height:20px!important;font-weight:400!important}html.dark [data-component-part=\"update-label\"]{background-color:rgba(255, 255, 255, 0.04)!important;color:#bcbab6!important}[class*=\"text-tooltip-foreground\"]{background-color:#1f1f1d!important;color:#ffffff!important;border-color:#1f1f1d!important}"}]}
{"page":{"pagePath":"reference/retrieve-a-data-source","slug":"/reference/retrieve-a-data-source","pageMetadata":{"openapi":"get /v1/data_sources/{data_source_id}","title":"Retrieve a data source","description":null,"href":"/reference/retrieve-a-data-source"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Frame,Heading,Info,OptimizedImage,Warning}=_components;if(!Frame)_missingMdxReference(`Frame`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!OptimizedImage)_missingMdxReference(`OptimizedImage`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Retrieves a `,_jsx(_components.a,{href:`/reference/data-source`,children:`data source`}),` object — information that describes the structure and columns of a data source — for a provided data source ID. The response adheres to any limits to a connection’s capabilities and the permissions of the data source and its containing database.`]}),`\n`,_jsxs(_components.p,{children:[`Readable synced data sources may also include optional `,_jsx(_components.a,{href:`/reference/data-source#sync-metadata`,children:`stored sync metadata`}),`, with provider information and ISO 8601 timestamps when available.`]}),`\n`,_jsxs(_components.p,{children:[`To fetch data source `,_jsx(_components.em,{children:`rows`}),` (i.e. the child pages of a data source) rather than columns, use the `,_jsx(_components.a,{href:`/reference/query-a-data-source`,children:`Query a data source`}),` endpoint.`]}),`\n`,_jsx(Heading,{level:`3`,id:`finding-a-data-source-id`,children:`Finding a data source ID`}),`\n`,_jsx(_components.p,{children:`First, find the containing database’s ID in its Notion URL. The database ID is the 32-character alphanumeric string between the slash following the workspace name (if applicable) and the question mark.`}),`\n`,_jsx(Frame,{caption:`Notion database ID`,children:_jsx(OptimizedImage,{src:`https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-3.png?fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=051ded818c1263e52bb87f66a3d05ce5`,alt:`The database ID appears in the URL path before the question mark.`,\"data-og-width\":`1502`,width:`1502`,\"data-og-height\":`128`,height:`128`,\"data-path\":`images/reference/image-3.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-3.png?w=280\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=9c0940d5759546d98cf4021dad370923 280w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-3.png?w=560\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=2cae9af78a3a05afb501745ea56ab824 560w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-3.png?w=840\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=26b23946e58081a1fc2555a2fcda4695 840w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-3.png?w=1100\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=d401b28ebf9c711b04f5eaf15079dc41 1100w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-3.png?w=1650\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=41d67937b3a95718678068820b37bc66 1650w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-3.png?w=2500\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=b77afa7fac33cc6147689247c6535c5a 2500w`})}),`\n`,_jsxs(_components.p,{children:[`Use `,_jsx(_components.a,{href:`/reference/retrieve-database`,children:`Retrieve a database`}),` with that database ID. Its `,_jsx(_components.code,{children:`data_sources`}),` array lists each data source’s ID and name. Use the desired data source ID with this endpoint to retrieve its `,_jsx(_components.code,{children:`properties`}),`.`]}),`\n`,_jsx(_components.p,{children:`To get a data source ID from the Notion app directly, the settings menu for a database includes a “Copy data source ID” button under “Manage data sources”:`}),`\n`,_jsx(Frame,{caption:`Screenshot of the 'Manage data sources' menu for a database in Notion, with 'Copy data source ID' button.`,children:_jsx(OptimizedImage,{src:`https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-4.png?fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=292ed34c84b1b7161b282444678c3bc6`,alt:`The Tasks data source menu offers Copy data source ID.`,\"data-og-width\":`570`,width:`570`,\"data-og-height\":`458`,height:`458`,\"data-path\":`images/reference/image-4.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-4.png?w=280\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=5b9c76b48507780d83e621211f008f78 280w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-4.png?w=560\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=177ae36df6c163decf77ade220b57b2e 560w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-4.png?w=840\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=0e0ac98a4d5a722aab667dd83a59d86e 840w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-4.png?w=1100\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=45d964c2c0893b7c1da0585e125cc606 1100w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-4.png?w=1650\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=f320150188cf17e69e4ea4ad2e5118c9 1650w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-4.png?w=2500\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=02948f93889722aa8adfce042bdd8b54 2500w`})}),`\n`,_jsxs(_components.p,{children:[`Refer to the `,_jsx(_components.a,{href:`/guides/data-apis/working-with-databases`,children:`Working with databases`}),` guide for more details.`]}),`\n`,_jsx(Heading,{level:`3`,id:`errors`,children:`Errors`}),`\n`,_jsx(_components.p,{children:`Returns a 404 HTTP response if the data source doesn’t exist or if the connection doesn’t have access to it.`}),`\n`,_jsxs(_components.p,{children:[`Each Public API endpoint can return several possible error codes. See the `,_jsx(_components.a,{href:`/reference/status-codes#error-codes`,children:`Error codes section`}),` of the Status codes documentation for more information.`]}),`\n`,_jsx(Heading,{level:`3`,id:`additional-resources`,children:`Additional resources`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/guides/connections-and-tokens/overview#content-access`,children:`How to share a database with your connection`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/guides/data-apis/working-with-databases`,children:`Working with databases guide`})}),`\n`]}),`\n`,_jsxs(Info,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Data source relations must be shared with your connection`})}),_jsxs(_components.p,{children:[`To retrieve data source properties from `,_jsx(_components.a,{href:`https://www.notion.com/help/relations-and-rollups#what-is-a-database-relation`,children:`database relations`}),`, the related database must be shared with your connection in addition to the database being retrieved. If the related database is not shared, properties based on relations will not be included in the API response.`]})]}),`\n`,_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`The Notion API does not support retrieving linked data sources`})}),_jsxs(_components.p,{children:[`To fetch the information in a `,_jsx(_components.a,{href:`https://www.notion.com/help/guides/using-linked-databases`,children:`linked data source`}),`, share the original source database with your Notion connection.`]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /v1/data_sources/{data_source_id}","title":"Retrieve a data source","description":null,"href":"/reference/retrieve-a-data-source"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Finding a data source ID","slug":"finding-a-data-source-id","depth":3,"children":[]},{"title":"Errors","slug":"errors","depth":3,"children":[]},{"title":"Additional resources","slug":"additional-resources","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/notion-demo/f3af24179eebc764/mcp-section-label.js","/_mintlify/custom/notion-demo/96b92b5a9cb7e11c/mcp-tool-section-redirects.js"],"openApiReferenceData":{"operation":{"summary":"Retrieve a data source","operationId":"retrieve-a-data-source","tags":["Data sources"],"x-codeSamples":[{"lang":"javascript","label":"TypeScript SDK","source":"import { Client } from \"@notionhq/client\"\n\nconst notion = new Client({ auth: process.env.NOTION_API_KEY })\n\nconst response = await notion.dataSources.retrieve({\n data_source_id: \"d9824bdc-8445-4327-be8b-5b47500af6ce\"\n})"}],"x-notion-docs-ref":"https://developers.notion.com/reference/retrieve-a-data-source","x-notion-docs-guides":["https://developers.notion.com/guides/data-apis/working-with-databases"],"parameters":["605cdbd7-c02e-4825-86f6-b5d6ead7cf03","8128b4ae-215d-4d9b-929d-9a9c302b36cd"],"responses":{"200":"a790de5c-dc7a-4e05-9ce2-544a193a9760","400":"697ae75a-81a4-46ca-95fd-11e6d8d44cfd","401":"d6ea2c4d-f929-43b9-a01a-f5cd51c62772","403":"288104bb-022a-4dc2-b0cd-fd726692a360","404":"4a6af018-72ae-4147-bc8b-dfc720c2eb73","406":"809a96bd-e678-4af2-ad4b-77a608e278a8","409":"24a3a48a-49cb-495f-b5a7-5977da6ac20b","429":"4007c925-2d62-43f4-b0f5-bbc776d77c47","500":"a944cba2-3fc6-4844-9a59-aff7c974e7d5","503":"d1db3a2f-0dcb-474e-9535-184ff0976260","504":"1fc1ea3a-b5fc-4044-9fad-68c4bf8a4ded","529":"86542334-d0d5-4a7e-8064-b51b21e1a4fe"},"method":"get","type":"path","servers":["2c852185-817e-41b9-a119-a2d9c7a56bef"],"security":["23c7697b-01d6-4756-9e53-15c190c2a020"],"path":"/v1/data_sources/{data_source_id}","baseUrlOptions":["https://api.notion.com"],"title":"Retrieve a data source","description":"","codeSamples":[{"label":"TypeScript SDK","lang":"javascript","source":"import { Client } from \"@notionhq/client\"\n\nconst notion = new Client({ auth: process.env.NOTION_API_KEY })\n\nconst response = await notion.dataSources.retrieve({\n data_source_id: \"d9824bdc-8445-4327-be8b-5b47500af6ce\"\n})"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"605cdbd7-c02e-4825-86f6-b5d6ead7cf03":{"name":"data_source_id","in":"path","required":true,"schema":{"type":"string","description":"ID of a Notion data source.","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"8128b4ae-215d-4d9b-929d-9a9c302b36cd":{"name":"Notion-Version","in":"header","required":true,"schema":{"enum":["2026-03-11"],"type":"string","isRequired":true,"description":"The [API version](/reference/versioning) to use for this request. The latest version is `2026-03-11`.","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"The [API version](/reference/versioning) to use for this request. The latest version is `2026-03-11`."}},"responses":{"a790de5c-dc7a-4e05-9ce2-544a193a9760":{"description":"","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["object","id","properties"],"properties":{"object":{"type":"string","const":"data_source","description":"The data source object type name.","isRequired":true,"uniqueKey":"oneOf.0.object","typeLabel":"string"},"id":{"type":"string","format":"uuid","description":"The ID of the data source.","isRequired":true,"uniqueKey":"oneOf.0.id","typeLabel":"string\u003cuuid>"},"properties":{"type":"object","additionalProperties":{"oneOf":[{"type":"object","title":"Number","required":["type","number","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.0.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.0.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.0.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.0.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.0.description","typeLabel":"string | null"},"type":{"type":"string","const":"number","description":"Always `number`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.0.type","typeLabel":"string"},"number":{"type":"object","properties":{"format":{"type":"string","example":"number","description":"The number format for the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.0.number.format","typeLabel":"string"}},"additionalProperties":false,"required":["format"],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.0.number","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.0","typeLabel":"Number · object"},{"type":"object","title":"Formula","required":["type","formula","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.1.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.1.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.1.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.1.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.1.description","typeLabel":"string | null"},"type":{"type":"string","const":"formula","description":"Always `formula`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.1.type","typeLabel":"string"},"formula":{"type":"object","properties":{"expression":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.1.formula.expression","typeLabel":"string"}},"additionalProperties":false,"required":["expression"],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.1.formula","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.1","typeLabel":"Formula · object"},{"type":"object","title":"Select","required":["type","select","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.description","typeLabel":"string | null"},"type":{"type":"string","const":"select","description":"Always `select`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.type","typeLabel":"string"},"select":{"type":"object","properties":{"options":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.select.options.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.select.options.items.[INDEX].name","typeLabel":"string"},"color":{"type":"string","enum":["default","gray","brown","orange","yellow","green","blue","purple","pink","red"],"description":"One of: `default`, `gray`, `brown`, `orange`, `yellow`, `green`, `blue`, `purple`, `pink`, `red`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.select.options.items.[INDEX].color","typeLabel":"enum\u003cstring>"},"description":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.select.options.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.select.options.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.select.options.items.[INDEX].description","typeLabel":"string | null"}},"additionalProperties":false,"required":["id","name","color","description"],"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.select.options.items.[INDEX]","typeLabel":"object"},"maxItems":100,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.select.options","typeLabel":"object[]"}},"additionalProperties":false,"required":["options"],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2.select","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.2","typeLabel":"Select · object"},{"type":"object","title":"Multi Select","required":["type","multi_select","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.description","typeLabel":"string | null"},"type":{"type":"string","const":"multi_select","description":"Always `multi_select`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.type","typeLabel":"string"},"multi_select":{"type":"object","properties":{"options":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.multi_select.options.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.multi_select.options.items.[INDEX].name","typeLabel":"string"},"color":{"type":"string","enum":["default","gray","brown","orange","yellow","green","blue","purple","pink","red"],"description":"One of: `default`, `gray`, `brown`, `orange`, `yellow`, `green`, `blue`, `purple`, `pink`, `red`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.multi_select.options.items.[INDEX].color","typeLabel":"enum\u003cstring>"},"description":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.multi_select.options.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.multi_select.options.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.multi_select.options.items.[INDEX].description","typeLabel":"string | null"}},"additionalProperties":false,"required":["id","name","color","description"],"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.multi_select.options.items.[INDEX]","typeLabel":"object"},"maxItems":100,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.multi_select.options","typeLabel":"object[]"}},"additionalProperties":false,"required":["options"],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3.multi_select","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.3","typeLabel":"Multi Select · object"},{"type":"object","title":"Status","required":["type","status","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.description","typeLabel":"string | null"},"type":{"type":"string","const":"status","description":"Always `status`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.type","typeLabel":"string"},"status":{"type":"object","properties":{"default_option":{"oneOf":[{"type":"string","description":"The name of the configured default status option, or null when no default is configured. Read-only.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.default_option.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the configured default status option, or null when no default is configured. Read-only.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.default_option.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.default_option","typeLabel":"string | null"},"options":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the status option.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.options.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"The name of the status option.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.options.items.[INDEX].name","typeLabel":"string"},"color":{"type":"string","enum":["default","gray","brown","orange","yellow","green","blue","purple","pink","red"],"description":"The color of the status option.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.options.items.[INDEX].color","typeLabel":"enum\u003cstring>"},"description":{"oneOf":[{"type":"string","description":"The description of the status option.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.options.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the status option.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.options.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.options.items.[INDEX].description","typeLabel":"string | null"}},"additionalProperties":false,"required":["id","name","color","description"],"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.options.items.[INDEX]","typeLabel":"object"},"maxItems":100,"description":"The options for the status property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.options","typeLabel":"object[]"},"groups":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the status group.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.groups.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"The name of the status group.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.groups.items.[INDEX].name","typeLabel":"string"},"color":{"type":"string","enum":["default","gray","brown","orange","yellow","green","blue","purple","pink","red"],"description":"The color of the status group.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.groups.items.[INDEX].color","typeLabel":"enum\u003cstring>"},"option_ids":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.groups.items.[INDEX].option_ids.items.[INDEX]","typeLabel":"string"},"maxItems":100,"description":"The IDs of the status options in this group.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.groups.items.[INDEX].option_ids","typeLabel":"string[]"}},"additionalProperties":false,"required":["id","name","color","option_ids"],"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.groups.items.[INDEX]","typeLabel":"object"},"maxItems":100,"description":"The groups for the status property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status.groups","typeLabel":"object[]"}},"additionalProperties":false,"required":["default_option","options","groups"],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4.status","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.4","typeLabel":"Status · object"},{"type":"object","title":"Relation","required":["type","relation","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.description","typeLabel":"string | null"},"type":{"type":"string","const":"relation","description":"Always `relation`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.type","typeLabel":"string"},"relation":{"oneOf":[{"type":"object","title":"Single Property","required":["type","single_property","database_id","data_source_id","limit"],"properties":{"database_id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.0.database_id","typeLabel":"string\u003cuuid>"},"data_source_id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.0.data_source_id","typeLabel":"string\u003cuuid>"},"limit":{"oneOf":[{"type":"integer","description":"The maximum number of pages each page can relate to, or null when there is no limit. Read-only.","minimum":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.0.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The maximum number of pages each page can relate to, or null when there is no limit. Read-only.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.0.limit.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.0.limit","typeLabel":"integer | null"},"type":{"type":"string","const":"single_property","description":"Always `single_property`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.0.type","typeLabel":"string"},"single_property":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.0.single_property","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.0","typeLabel":"Single Property · object"},{"type":"object","title":"Dual Property","required":["dual_property","database_id","data_source_id","limit"],"properties":{"database_id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.1.database_id","typeLabel":"string\u003cuuid>"},"data_source_id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.1.data_source_id","typeLabel":"string\u003cuuid>"},"limit":{"oneOf":[{"type":"integer","description":"The maximum number of pages each page can relate to, or null when there is no limit. Read-only.","minimum":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.1.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The maximum number of pages each page can relate to, or null when there is no limit. Read-only.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.1.limit.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.1.limit","typeLabel":"integer | null"},"dual_property":{"type":"object","properties":{"synced_property_id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.1.dual_property.synced_property_id","typeLabel":"string"},"synced_property_name":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.1.dual_property.synced_property_name","typeLabel":"string"}},"additionalProperties":false,"required":["synced_property_id","synced_property_name"],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.1.dual_property","typeLabel":"object"},"type":{"type":"string","const":"dual_property","description":"Always `dual_property`","uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.1.type","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation.oneOf.1","typeLabel":"Dual Property · object"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5.relation","typeLabel":"Single Property · object | Dual Property · object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.5","typeLabel":"Relation · object"},{"type":"object","title":"Rollup","required":["type","rollup","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.description","typeLabel":"string | null"},"type":{"type":"string","const":"rollup","description":"Always `rollup`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.type","typeLabel":"string"},"rollup":{"type":"object","properties":{"function":{"type":"string","enum":["count","count_values","empty","not_empty","unique","show_unique","percent_empty","percent_not_empty","sum","average","median","min","max","range","earliest_date","latest_date","date_range","checked","unchecked","percent_checked","percent_unchecked","count_per_group","percent_per_group","show_original"],"description":"The function to use for the rollup, e.g. count, count_values, percent_not_empty, max.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.rollup.function","typeLabel":"enum\u003cstring>"},"rollup_property_name":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.rollup.rollup_property_name","typeLabel":"string"},"relation_property_name":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.rollup.relation_property_name","typeLabel":"string"},"rollup_property_id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.rollup.rollup_property_id","typeLabel":"string"},"relation_property_id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.rollup.relation_property_id","typeLabel":"string"}},"additionalProperties":false,"required":["function","rollup_property_name","relation_property_name","rollup_property_id","relation_property_id"],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6.rollup","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.6","typeLabel":"Rollup · object"},{"type":"object","title":"Unique Id","required":["type","unique_id","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.7.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.7.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.7.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.7.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.7.description","typeLabel":"string | null"},"type":{"type":"string","const":"unique_id","description":"Always `unique_id`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.7.type","typeLabel":"string"},"unique_id":{"type":"object","properties":{"prefix":{"oneOf":[{"type":"string","description":"The prefix for the unique ID.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.7.unique_id.prefix.oneOf.0","typeLabel":"string"},{"type":"null","description":"The prefix for the unique ID.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.7.unique_id.prefix.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.7.unique_id.prefix","typeLabel":"string | null"}},"additionalProperties":false,"required":["prefix"],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.7.unique_id","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.7","typeLabel":"Unique Id · object"},{"type":"object","title":"Title","required":["type","title","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.8.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.8.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.8.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.8.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.8.description","typeLabel":"string | null"},"type":{"type":"string","const":"title","description":"Always `title`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.8.type","typeLabel":"string"},"title":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.8.title","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.8","typeLabel":"Title · object"},{"type":"object","title":"Rich Text","required":["type","rich_text","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.9.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.9.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.9.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.9.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.9.description","typeLabel":"string | null"},"type":{"type":"string","const":"rich_text","description":"Always `rich_text`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.9.type","typeLabel":"string"},"rich_text":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.9.rich_text","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.9","typeLabel":"Rich Text · object"},{"type":"object","title":"Url","required":["type","url","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.10.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.10.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.10.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.10.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.10.description","typeLabel":"string | null"},"type":{"type":"string","const":"url","description":"Always `url`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.10.type","typeLabel":"string"},"url":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.10.url","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.10","typeLabel":"Url · object"},{"type":"object","title":"People","required":["type","people","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.11.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.11.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.11.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.11.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.11.description","typeLabel":"string | null"},"type":{"type":"string","const":"people","description":"Always `people`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.11.type","typeLabel":"string"},"people":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.11.people","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.11","typeLabel":"People · object"},{"type":"object","title":"Files","required":["type","files","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.12.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.12.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.12.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.12.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.12.description","typeLabel":"string | null"},"type":{"type":"string","const":"files","description":"Always `files`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.12.type","typeLabel":"string"},"files":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.12.files","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.12","typeLabel":"Files · object"},{"type":"object","title":"Email","required":["type","email","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.13.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.13.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.13.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.13.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.13.description","typeLabel":"string | null"},"type":{"type":"string","const":"email","description":"Always `email`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.13.type","typeLabel":"string"},"email":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.13.email","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.13","typeLabel":"Email · object"},{"type":"object","title":"Phone Number","required":["type","phone_number","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.14.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.14.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.14.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.14.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.14.description","typeLabel":"string | null"},"type":{"type":"string","const":"phone_number","description":"Always `phone_number`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.14.type","typeLabel":"string"},"phone_number":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.14.phone_number","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.14","typeLabel":"Phone Number · object"},{"type":"object","title":"Date","required":["type","date","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.15.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.15.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.15.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.15.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.15.description","typeLabel":"string | null"},"type":{"type":"string","const":"date","description":"Always `date`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.15.type","typeLabel":"string"},"date":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.15.date","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.15","typeLabel":"Date · object"},{"type":"object","title":"Checkbox","required":["type","checkbox","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.16.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.16.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.16.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.16.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.16.description","typeLabel":"string | null"},"type":{"type":"string","const":"checkbox","description":"Always `checkbox`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.16.type","typeLabel":"string"},"checkbox":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.16.checkbox","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.16","typeLabel":"Checkbox · object"},{"type":"object","title":"Created By","required":["type","created_by","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.17.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.17.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.17.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.17.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.17.description","typeLabel":"string | null"},"type":{"type":"string","const":"created_by","description":"Always `created_by`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.17.type","typeLabel":"string"},"created_by":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.17.created_by","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.17","typeLabel":"Created By · object"},{"type":"object","title":"Created Time","required":["type","created_time","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.18.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.18.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.18.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.18.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.18.description","typeLabel":"string | null"},"type":{"type":"string","const":"created_time","description":"Always `created_time`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.18.type","typeLabel":"string"},"created_time":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.18.created_time","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.18","typeLabel":"Created Time · object"},{"type":"object","title":"Last Edited By","required":["type","last_edited_by","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.19.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.19.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.19.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.19.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.19.description","typeLabel":"string | null"},"type":{"type":"string","const":"last_edited_by","description":"Always `last_edited_by`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.19.type","typeLabel":"string"},"last_edited_by":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.19.last_edited_by","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.19","typeLabel":"Last Edited By · object"},{"type":"object","title":"Last Edited Time","required":["type","last_edited_time","id","name","description"],"properties":{"id":{"type":"string","description":"The ID of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.20.id","typeLabel":"string"},"name":{"type":"string","description":"The name of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.20.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"The description of the property.","maxLength":280,"minLength":1,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.20.description.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of the property.","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.20.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.20.description","typeLabel":"string | null"},"type":{"type":"string","const":"last_edited_time","description":"Always `last_edited_time`","isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.20.type","typeLabel":"string"},"last_edited_time":{"type":"object","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.20.last_edited_time","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0.properties.additionalProperties.oneOf.20","typeLabel":"Last Edited Time · object"}],"uniqueKey":"oneOf.0.properties.additionalProperties","typeLabel":"Number · object | Formula · object | Select · object | Multi Select · object | Status · object | Relation · object | Rollup · object | Unique Id · object | Title · object | Rich Text · object | Url · object | People · object | Files · object | Email · object | Phone Number · object | Date · object | Checkbox · object | Created By · object | Created Time · object | Last Edited By · object | Last Edited Time · object"},"description":"The properties schema of the data source.","isRequired":true,"uniqueKey":"oneOf.0.properties","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["object","id","title","description","parent","database_parent","is_inline","database_type","in_trash","created_time","last_edited_time","created_by","last_edited_by","properties","icon","cover","url","public_url"],"properties":{"object":{"type":"string","const":"data_source","description":"The data source object type name.","isRequired":true,"uniqueKey":"oneOf.1.object","typeLabel":"string"},"id":{"type":"string","format":"uuid","description":"The ID of the data source.","isRequired":true,"uniqueKey":"oneOf.1.id","typeLabel":"string\u003cuuid>"},"title":{"type":"array","items":{"oneOf":[{"type":"object","title":"Text","required":["type","text","plain_text","href","annotations"],"properties":{"plain_text":{"type":"string","description":"The plain text content of the rich text object, without any styling.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.plain_text","typeLabel":"string"},"href":{"oneOf":[{"type":"string","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.href.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.href.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.href","typeLabel":"string | null"},"annotations":{"type":"object","properties":{"bold":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.bold","typeLabel":"boolean"},"italic":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.italic","typeLabel":"boolean"},"strikethrough":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.strikethrough","typeLabel":"boolean"},"underline":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.underline","typeLabel":"boolean"},"code":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.code","typeLabel":"boolean"},"color":{"type":"string","enum":["default","gray","brown","orange","yellow","green","blue","purple","pink","red","default_background","gray_background","brown_background","orange_background","yellow_background","green_background","blue_background","purple_background","pink_background","red_background"],"description":"One of: `default`, `gray`, `brown`, `orange`, `yellow`, `green`, `blue`, `purple`, `pink`, `red`, `default_background`, `gray_background`, `brown_background`, `orange_background`, `yellow_background`, `green_background`, `blue_background`, `purple_background`, `pink_background`, `red_background`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.color","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"required":["bold","italic","strikethrough","underline","code","color"],"description":"All rich text objects contain an annotations object that sets the styling for the rich text.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations","typeLabel":"object"},"type":{"type":"string","const":"text","description":"Always `text`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.type","typeLabel":"string"},"text":{"type":"object","properties":{"content":{"type":"string","maxLength":2000,"description":"The actual text content of the text.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text.content","typeLabel":"string"},"link":{"oneOf":[{"type":"object","description":"An object with information about any inline link in this text, if included.","required":["url"],"properties":{"url":{"type":"string","examples":["https://www.notion.com"],"description":"The URL of the link.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text.link.oneOf.0.url","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text.link.oneOf.0","typeLabel":"object"},{"type":"null","description":"An object with information about any inline link in this text, if included.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text.link.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text.link","typeLabel":"object | null"}},"additionalProperties":false,"required":["content","link"],"description":"If a rich text object's type value is `text`, then the corresponding text field contains an object including the text content and any inline link.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0","typeLabel":"Text · object"},{"type":"object","title":"Mention","required":["type","mention","plain_text","href","annotations"],"properties":{"plain_text":{"type":"string","description":"The plain text content of the rich text object, without any styling.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.plain_text","typeLabel":"string"},"href":{"oneOf":[{"type":"string","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.href.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.href.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.href","typeLabel":"string | null"},"annotations":{"type":"object","properties":{"bold":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.bold","typeLabel":"boolean"},"italic":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.italic","typeLabel":"boolean"},"strikethrough":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.strikethrough","typeLabel":"boolean"},"underline":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.underline","typeLabel":"boolean"},"code":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.code","typeLabel":"boolean"},"color":{"type":"string","enum":["default","gray","brown","orange","yellow","green","blue","purple","pink","red","default_background","gray_background","brown_background","orange_background","yellow_background","green_background","blue_background","purple_background","pink_background","red_background"],"description":"One of: `default`, `gray`, `brown`, `orange`, `yellow`, `green`, `blue`, `purple`, `pink`, `red`, `default_background`, `gray_background`, `brown_background`, `orange_background`, `yellow_background`, `green_background`, `blue_background`, `purple_background`, `pink_background`, `red_background`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.color","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"required":["bold","italic","strikethrough","underline","code","color"],"description":"All rich text objects contain an annotations object that sets the styling for the rich text.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations","typeLabel":"object"},"type":{"type":"string","const":"mention","description":"Always `mention`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.type","typeLabel":"string"},"mention":{"oneOf":[{"type":"object","title":"User","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","user"],"properties":{"type":{"type":"string","const":"user","description":"Always `user`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.type","typeLabel":"string"},"user":{"oneOf":[{"type":"object","description":"Details of the user mention.","required":["id","object"],"properties":{"id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.0.id","typeLabel":"string\u003cuuid>"},"object":{"type":"string","const":"user","description":"Always `user`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.0.object","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.0","typeLabel":"object"},{"type":"object","title":"Person","description":"Details of the user mention.","required":["type","person","id","object","name","avatar_url"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.id","typeLabel":"string\u003cuuid>"},"object":{"type":"string","const":"user","description":"The user object type name.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.object","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.name","typeLabel":"string | null"},"avatar_url":{"oneOf":[{"type":"string","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.avatar_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.avatar_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.avatar_url","typeLabel":"string | null"},"type":{"type":"string","const":"person","description":"Indicates this user is a person.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.type","typeLabel":"string"},"person":{"type":"object","properties":{"email":{"type":"string","description":"The email of the person.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.person.email","typeLabel":"string"},"email_verified":{"type":"boolean","description":"Whether the person's email is verified.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.person.email_verified","typeLabel":"boolean"}},"additionalProperties":false,"description":"Details about the person, when the `type` of the user is `person`.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.person","typeLabel":"object"},"agent_id":{"type":"string","format":"uuid","description":"The ID of the Custom Agent this bot acts for. Only present when the user is a Custom Agent's bot.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.agent_id","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1","typeLabel":"Person · object"},{"type":"object","title":"Bot","description":"Details of the user mention.","required":["type","bot","id","object","name","avatar_url"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.id","typeLabel":"string\u003cuuid>"},"object":{"type":"string","const":"user","description":"The user object type name.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.object","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.name","typeLabel":"string | null"},"avatar_url":{"oneOf":[{"type":"string","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.avatar_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.avatar_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.avatar_url","typeLabel":"string | null"},"type":{"type":"string","const":"bot","description":"Indicates this user is a bot.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.type","typeLabel":"string"},"bot":{"oneOf":[{"type":"object","description":"Details about the bot, when the `type` of the user is `bot`.","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.0","typeLabel":"object"},{"type":"object","description":"Details about the bot, when the `type` of the user is `bot`.","required":["owner","workspace_id","workspace_limits","workspace_name"],"properties":{"owner":{"type":"any","description":"Details about the owner of the bot.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.owner","typeLabel":"any"},"workspace_id":{"type":"string","description":"The ID of the bot's workspace.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_id","typeLabel":"string"},"workspace_limits":{"type":"object","properties":{"max_file_upload_size_in_bytes":{"type":"integer","minimum":0,"description":"The maximum allowable size of a file upload, in bytes","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_limits.max_file_upload_size_in_bytes","typeLabel":"integer"}},"additionalProperties":false,"required":["max_file_upload_size_in_bytes"],"description":"Limits and restrictions that apply to the bot's workspace","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_limits","typeLabel":"object"},"workspace_name":{"type":"any","description":"The name of the bot's workspace.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_name","typeLabel":"any"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot","typeLabel":"object"},"agent_id":{"type":"string","format":"uuid","description":"The ID of the Custom Agent this bot acts for. Only present when the user is a Custom Agent's bot.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.agent_id","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2","typeLabel":"Bot · object"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user","typeLabel":"object | Person · object | Bot · object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0","typeLabel":"User · object"},{"type":"object","title":"Date","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","date"],"properties":{"type":{"type":"string","const":"date","description":"Always `date`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.type","typeLabel":"string"},"date":{"type":"object","properties":{"start":{"type":"string","format":"date","description":"The start date of the date object.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.start","typeLabel":"string\u003cdate>"},"end":{"oneOf":[{"type":"string","description":"The end date of the date object, if any.","format":"date","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.end.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","description":"The end date of the date object, if any.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.end.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.end","typeLabel":"string\u003cdate> | null"},"time_zone":{"oneOf":[{"type":"string","description":"The time zone of the date object.","example":"Africa/Abidjan","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.time_zone.oneOf.0","typeLabel":"string"},{"type":"null","description":"The time zone of the date object.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.time_zone.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.time_zone","typeLabel":"string | null"}},"additionalProperties":false,"required":["start","end","time_zone"],"description":"Details of the date mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1","typeLabel":"Date · object"},{"type":"object","title":"Link Preview","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","link_preview"],"properties":{"type":{"type":"string","const":"link_preview","description":"Always `link_preview`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.2.type","typeLabel":"string"},"link_preview":{"type":"object","properties":{"url":{"type":"string","description":"The URL of the link preview mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.2.link_preview.url","typeLabel":"string"}},"additionalProperties":false,"required":["url"],"description":"Details of the link preview mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.2.link_preview","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.2","typeLabel":"Link Preview · object"},{"type":"object","title":"Link Mention","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","link_mention"],"properties":{"type":{"type":"string","const":"link_mention","description":"Always `link_mention`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.type","typeLabel":"string"},"link_mention":{"type":"object","properties":{"href":{"type":"string","description":"The href of the link mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.href","typeLabel":"string"},"title":{"type":"string","description":"The title of the link.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_ment
[...]
